Bug 599695 - file claims that some binaries are "from '%s'" with values that don't make sense
file claims that some binaries are "from '%s'" with values that don't make sense
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 692098
  Show dependency treegraph
 
Reported: 2010-06-03 14:58 EDT by Nalin Dahyabhai
Modified: 2011-03-30 08:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: file-5.04-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 692098 (view as bug list)
Environment:
Last Closed: 2010-07-19 11:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (904 bytes, patch)
2010-07-19 05:00 EDT, Jan Kaluža
no flags Details | Diff

  None (edit)
Description Nalin Dahyabhai 2010-06-03 14:58:26 EDT
Description of problem:
When run against a couple of binaries on my system, 'file' seems to get confused by .note.gnu-build-id values.

Version-Release number of selected component (if applicable):
file-5.04-8.fc14.x86_64
coreutils-8.5-2.fc14.x86_64
krb5-workstation-1.8.1-6.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. file /usr/bin/kvno /bin/date
  
Actual results:
/usr/bin/kvno: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, from 'x.', stripped
/bin/date:     ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, from 'I', stripped

Expected results:
Correct 'from' values, if applicable, or for them to be omitted.

Additional info:
"eu-readelf -x .note.gnu.build-id /usr/bin/kvno /bin/date" says:

/usr/bin/kvno:


Hex dump of section [3] '.note.gnu.build-id', 36 bytes at offset 0x23c:
  0x00000000 04000000 14000000 03000000 474e5500 ............GNU.
  0x00000010 b9bc1df4 1cc237db f5c4d115 22e01fed ......7....."...
  0x00000020 782e00ef                            x...

/bin/date:


Hex dump of section [3] '.note.gnu.build-id', 36 bytes at offset 0x23c:
  0x00000000 04000000 14000000 03000000 474e5500 ............GNU.
  0x00000010 4d964811 f01ac163 9f0a87b1 8e568974 M.H....c.....V.t
  0x00000020 4900f75c                            I..\
Comment 1 Daniel Novotny 2010-06-07 10:45:43 EDT
hmmm, can be related to the patch to fix Bug #566305
Comment 2 Fedora Admin XMLRPC Client 2010-06-10 06:45:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Kaluža 2010-07-19 05:00:10 EDT
Created attachment 432799 [details]
proposed patch

This patch fixes described problem for me.
Comment 4 Jan Kaluža 2010-07-19 11:38:14 EDT
Fixed in file-5.04-12.fc14.
Comment 5 Fedora Update System 2010-08-24 05:24:52 EDT
file-5.04-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/file-5.04-6.fc13
Comment 6 Fedora Update System 2010-08-31 02:25:18 EDT
file-5.04-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.